[arch-commits] Commit in mixxx/repos (2 files)

Antonio Rojas arojas at archlinux.org
Fri Mar 8 18:27:28 UTC 2019


    Date: Friday, March 8, 2019 @ 18:27:27
  Author: arojas
Revision: 438129

archrelease: copy trunk to community-staging-x86_64

Added:
  mixxx/repos/community-staging-x86_64/
  mixxx/repos/community-staging-x86_64/PKGBUILD
    (from rev 438128, mixxx/trunk/PKGBUILD)

----------+
 PKGBUILD |   58 ++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 58 insertions(+)

Copied: mixxx/repos/community-staging-x86_64/PKGBUILD (from rev 438128, mixxx/trunk/PKGBUILD)
===================================================================
--- community-staging-x86_64/PKGBUILD	                        (rev 0)
+++ community-staging-x86_64/PKGBUILD	2019-03-08 18:27:27 UTC (rev 438129)
@@ -0,0 +1,58 @@
+# Maintainer: Lukas Fleischer <lfleischer at archlinux.org>
+# Contributor: David Runge <dave at sleepmap.de>
+# Contributor: Ali H. Caliskan <ali.h.caliskan AT gmail DOT com>
+# Contributor: Ryan Coyner <rcoyner at gmail.com>
+# Contributor: Stefan Husmann <stefan-husmann at t-online.de>
+
+pkgname=mixxx
+pkgver=2.2.0
+pkgrel=2
+pkgdesc="Free, open source software for digital DJ'ing."
+arch=('x86_64')
+url='https://www.mixxx.org'
+license=('GPL2')
+groups=('pro-audio')
+depends=('chromaprint' 'faad2' 'gperftools' 'glu' 'libid3tag' 'libmad'
+'libmp4v2' 'libshout' 'lilv' 'opusfile' 'portaudio' 'portmidi' 'protobuf'
+'qt5-script' 'qt5-svg' 'qt5-x11extras' 'rubberband' 'taglib' 'upower'
+'wavpack')
+makedepends=('qt5-tools' 'qtkeychain' 'scons')
+optdepends=('qtkeychain: Credentials storage support for Live Broadcasting profiles')
+checkdepends=('xorg-server-xvfb')
+source=("${pkgname}-${pkgver}.tar.gz::https://github.com/${pkgname}dj/${pkgname}/archive/release-${pkgver}.tar.gz")
+sha512sums=('8174b504d236cde36c636985e0e224915f0be69b13691bf0d88c21087c20c1100ff55561b6e395d97fe5b21a0229fe9ecdac2493cb44fa99a42549c368fa2134')
+
+prepare() {
+  mv -v "${pkgname}-release-${pkgver}" "${pkgname}-${pkgver}"
+  cd "${pkgname}-${pkgver}"
+}
+
+build() {
+  cd "${pkgname}-${pkgver}"
+  export SCONSFLAGS="-j $(nproc)"
+  scons prefix=/usr \
+        build=release \
+        faad=1 \
+        modplug=1 \
+        perftools=1 \
+        perftools_profiler=1 \
+        qt_sqlite_plugin=0 \
+        test=1 \
+        target=linux \
+        virtualize=0 \
+        wv=1
+}
+
+check() {
+  cd "${pkgname}-${pkgver}"
+  xvfb-run lin64_build/${pkgname}-test || warning "Known failing test: https://bugs.launchpad.net/mixxx/+bug/1810495"
+}
+
+package() {
+  cd "${pkgname}-${pkgver}"
+  scons prefix=/usr \
+        install_root="${pkgdir}/usr" \
+        install
+  # removing the test executable
+  rm -v "${pkgdir}/usr/bin/${pkgname}-test"
+}


More information about the arch-commits mailing list